Subject: Re: How to diagnose Cygwin / Windows shutdown problem
From: "Richard Anderson" <[email-masked]>
To: <[email-masked]>
Cc: "Timothy C Prince" <[email-masked]>, <[email-masked]>
Date: Wed, 23 Jul 2003 14:33:17 -0700

----- Original Message ----- 
From: "Larry Hall" <[email-masked]>
To: "Richard Anderson" <[email-masked]>
Cc: "Timothy C Prince" <[email-masked]>; <[email-masked]>
Sent: Wednesday, July 23, 2003 11:41 AM
Subject: Re: How to diagnose Cygwin / Windows shutdown problem

> Richard Anderson wrote:
>
> > So this is a know issue? Seems like non-standard behavior for a Windows
app.
> > All Windows apps that I know of catch the shutdown interrupt, clean up
their
> > data structures and exit gracefully.  Is there some reason why Cygwin
can't
> > do this?
>
> Let's turn the question around.  Are you interested in implementing and
> submitting a patch to do this?  I'm sure folks here would be willing to
> discuss the viability of such functionality in the context of a patch
> to implement it.
>
Timothy, your response might be interpreted as an attempt to discourage the
user community from reporting problems or questioning apparent design flaws.
I would think that a discussion group like this is the proper forum for
submitting comments like my original e-mail.  Any open-source software
project that doesn't encourage comments from the user community is cutting
itself off from a valuable source of feedback.

Richard Anderson
[email-masked]
[email-masked]
www.richard-anderson.org
www.raycosoft.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/